Package com.explodingpixels.macwidgets

## Class WidgetFactory

- java.lang.Object
- - com.explodingpixels.macwidgets.WidgetFactory

    public class WidgetFactory
    extends java.lang.Object

### Constructor Summary

Constructors
`WidgetFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static javax.swing.JSplitPane` `createHorizontalSplitPane​(javax.swing.JComponent componentLeft, javax.swing.JComponent componentRight)`
`static javax.swing.JSplitPane` `createVerticalSplitPane​(javax.swing.JComponent componentTop, javax.swing.JComponent componentBottom)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WidgetFactory

    public WidgetFactory()

### Method Detail

#### createHorizontalSplitPane

    public static javax.swing.JSplitPane createHorizontalSplitPane​(javax.swing.JComponent componentLeft,
                                                                   javax.swing.JComponent componentRight)

#### createVerticalSplitPane

    public static javax.swing.JSplitPane createVerticalSplitPane​(javax.swing.JComponent componentTop,
                                                                 javax.swing.JComponent componentBottom)